List watchlists
curl --request GET \
--url https://api.bigdata.com/v1/watchlists \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/v1/watchlists"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/v1/watchlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/watchlists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/watchlists"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/v1/watchlists")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/watchlists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
},
"results": [
{
"id": "b548fc37-87d3-4bc7-b482-eeeeb7060f78",
"user_id": "A1B2C3D4E5",
"created_at": "2026-10-20T10:15:00.000000Z",
"updated_at": "2026-10-23T08:30:00.000000Z",
"interacted_at": null,
"name": "MAMAA stocks",
"description": "Large-cap US technology companies"
}
]
}{
"errors": [
{
"message": "Invalid payload"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}{
"errors": [
{
"message": "Forbidden"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}{
"errors": [
{
"message": "Internal Server Error"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}Manage
List watchlists
List the watchlists you can access.
Every filter is optional. Without filters, the response contains all the watchlists you can access. The response does not include items. Get a single watchlist to retrieve its items.
GET
/
v1
/
watchlists
List watchlists
curl --request GET \
--url https://api.bigdata.com/v1/watchlists \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.bigdata.com/v1/watchlists"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.bigdata.com/v1/watchlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/watchlists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/watchlists"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bigdata.com/v1/watchlists")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/watchlists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
},
"results": [
{
"id": "b548fc37-87d3-4bc7-b482-eeeeb7060f78",
"user_id": "A1B2C3D4E5",
"created_at": "2026-10-20T10:15:00.000000Z",
"updated_at": "2026-10-23T08:30:00.000000Z",
"interacted_at": null,
"name": "MAMAA stocks",
"description": "Large-cap US technology companies"
}
]
}{
"errors": [
{
"message": "Invalid payload"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}{
"errors": [
{
"message": "Forbidden"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}{
"errors": [
{
"message": "Internal Server Error"
}
],
"metadata": {
"request_id": "9f2c6b18-4e7a-4d05-8c31-0a6e5d2b91f4",
"timestamp": "2026-10-23T09:00:00Z"
}
}Authorizations
API key from the Bigdata Developer Platform.
Query Parameters
Set to true to return only the watchlists you own.
Only true is accepted.
Available options:
true Was this page helpful?